VERSION = 9.2.4

TEMPLATE = lib

INCLUDEPATH = ../include
INCLUDEDIR = $$INCLUDEPATH/GeographicLib

SOURCES += AlbersEqualArea.cpp
SOURCES += AzimuthalEquidistant.cpp
SOURCES += CassiniSoldner.cpp
SOURCES += CircularEngine.cpp
SOURCES += DMS.cpp
SOURCES += Ellipsoid.cpp
SOURCES += EllipticFunction.cpp
SOURCES += GeoCoords.cpp
SOURCES += Geocentric.cpp
SOURCES += Geodesic.cpp
SOURCES += GeodesicLine.cpp
SOURCES += Geohash.cpp
SOURCES += Geoid.cpp
SOURCES += Gnomonic.cpp
SOURCES += GravityCircle.cpp
SOURCES += GravityModel.cpp
SOURCES += LambertConformalConic.cpp
SOURCES += LocalCartesian.cpp
SOURCES += MGRS.cpp
SOURCES += MagneticCircle.cpp
SOURCES += MagneticModel.cpp
SOURCES += NormalGravity.cpp
SOURCES += OSGB.cpp
SOURCES += PolarStereographic.cpp
SOURCES += PolygonArea.cpp
SOURCES += Rhumb.cpp
SOURCES += SphericalEngine.cpp
SOURCES += TransverseMercator.cpp
SOURCES += TransverseMercatorExact.cpp
SOURCES += UTMUPS.cpp
SOURCES += Utility.cpp

HEADERS += $$INCLUDEDIR/Accumulator.hpp
HEADERS += $$INCLUDEDIR/AlbersEqualArea.hpp
HEADERS += $$INCLUDEDIR/AzimuthalEquidistant.hpp
HEADERS += $$INCLUDEDIR/CassiniSoldner.hpp
HEADERS += $$INCLUDEDIR/CircularEngine.hpp
HEADERS += $$INCLUDEDIR/Constants.hpp
HEADERS += $$INCLUDEDIR/DMS.hpp
HEADERS += $$INCLUDEDIR/Ellipsoid.hpp
HEADERS += $$INCLUDEDIR/EllipticFunction.hpp
HEADERS += $$INCLUDEDIR/GeoCoords.hpp
HEADERS += $$INCLUDEDIR/Geocentric.hpp
HEADERS += $$INCLUDEDIR/Geodesic.hpp
HEADERS += $$INCLUDEDIR/GeodesicLine.hpp
HEADERS += $$INCLUDEDIR/Geohash.hpp
HEADERS += $$INCLUDEDIR/Geoid.hpp
HEADERS += $$INCLUDEDIR/Gnomonic.hpp
HEADERS += $$INCLUDEDIR/GravityCircle.hpp
HEADERS += $$INCLUDEDIR/GravityModel.hpp
HEADERS += $$INCLUDEDIR/LambertConformalConic.hpp
HEADERS += $$INCLUDEDIR/LocalCartesian.hpp
HEADERS += $$INCLUDEDIR/MGRS.hpp
HEADERS += $$INCLUDEDIR/MagneticCircle.hpp
HEADERS += $$INCLUDEDIR/MagneticModel.hpp
HEADERS += $$INCLUDEDIR/Math.hpp
HEADERS += $$INCLUDEDIR/NormalGravity.hpp
HEADERS += $$INCLUDEDIR/OSGB.hpp
HEADERS += $$INCLUDEDIR/PolarStereographic.hpp
HEADERS += $$INCLUDEDIR/PolygonArea.hpp
HEADERS += $$INCLUDEDIR/Rhumb.hpp
HEADERS += $$INCLUDEDIR/SphericalEngine.hpp
HEADERS += $$INCLUDEDIR/SphericalHarmonic.hpp
HEADERS += $$INCLUDEDIR/SphericalHarmonic1.hpp
HEADERS += $$INCLUDEDIR/SphericalHarmonic2.hpp
HEADERS += $$INCLUDEDIR/TransverseMercator.hpp
HEADERS += $$INCLUDEDIR/TransverseMercatorExact.hpp
HEADERS += $$INCLUDEDIR/UTMUPS.hpp
HEADERS += $$INCLUDEDIR/Utility.hpp
HEADERS += $$INCLUDEDIR/Config.h
